## ros-melodic-pr2-teleop 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_teleop)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  geometry_msgs
  pr2_controllers_msgs
  roscpp
  rospy
  std_msgs
  tf
  topic_tools
)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES pr2_teleop
#  CATKIN_DEPENDS actionlib geometry_msgs pr2_controllers_msgs roscpp rospy std_msgs tf topic_tools
#  DEPENDS system_lib
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(teleop_gripper src/teleop_gripper.cpp)
add_executable(teleop_pr2 src/teleop_pr2.cpp)
add_executable(teleop_pr2_keyboard src/teleop_pr2_keyboard.cpp) 

target_link_libraries(teleop_gripper
  ${catkin_LIBRARIES}
)
target_link_libraries(teleop_pr2
  ${catkin_LIBRARIES}
)
target_link_libraries(teleop_pr2_keyboard
  ${catkin_LIBRARIES}
)

install(TARGETS teleop_pr2_keyboard teleop_pr2 teleop_gripper 
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION} )

install(DIRECTORY config launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES android_lightning_pr2.png DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-pr2-teleop (0.6.1-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 26 Sep 2018 00:00:00 -0000

ros-melodic-pr2-teleop (0.6.0-0stretch) stretch; urgency=high

  * Merge pull request #26 <https://github.com/pr2/pr2_apps/issues/26> from TAMS-Group/pr-indigo-stop-spamming-on-slight-delays
    Only warn the user on outdated repeated messages
  * Merge pull request #27 <https://github.com/pr2/pr2_apps/issues/27> from TAMS-Group/head_fix
    Using state controller feedback to update pan and tilt values of the head
  * Merge pull request #29 <https://github.com/pr2/pr2_apps/issues/29> from k-okada/kinetic-devel
    Kinetic devel
  * Merge pull request #30 <https://github.com/pr2/pr2_apps/issues/30> from k-okada/orph
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge branch 'hydro-devel' into kinetic-devel
  * Only warn the user on outdated repeated messages
    dornhege's commit recently added a safety mechanism to ensure
    a properly working dead-man switch with the PS2 controller.
    However, in some setups this problem appears during normal operation
    but does not persist for long. In order to avoid spamming the log
    console, we warn the user only if the received messages are additionally
    out of date.
    The overall safety mechanism still triggers, this only affects the log.
  * use desired position for head feedback
    With the actual position the head tilts down because of gravity
    when the controller is idle and head movements are less responsive.
  * Pan and tilt values updated via state controller
    When controlling the head with a different controller, the head moved with a very high speed, which can be harmful to the hardware.
    It was assumed that the head was only moved via teleop, thus the position was not updated when the head was moved with a different controller.
    This was fixed by reading the actual values for pan and tilt from the state controller.
  * Merge pull request #25 <https://github.com/pr2/pr2_apps/issues/25> from dornhege/indigo-devel
    Do not process the same joystick message twice.
  * Do not process the same joystick message twice.
    Happens if joystick hangs on old command.
  * Contributors: 2scholz, Christian Dornhege, Devon Ash, Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 14 Feb 2018 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.20-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 05 May 2015 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.19-0stretch) stretch; urgency=high

  * added changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 29 Apr 2015 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.18-0stretch) stretch; urgency=high

  * fix install destination
  * Contributors: Furushchev

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.16-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 06 Feb 2015 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.15-0stretch) stretch; urgency=high

  * Added target locations to pr2_teleop libs and execs
  * Added installs for pr2_teleop_general and pr2_teleop
  * Added installs for pr2_teleop binaries
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 28 Jan 2015 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.14-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 20 Nov 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.13-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 18 Nov 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.12-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Nov 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.11-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 20 Oct 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.10-0stretch) stretch; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 17 Oct 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.9-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.8-0stretch) stretch; urgency=high

  * Updated maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 30 Sep 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.7-0stretch) stretch; urgency=high

  * Changelog
  * Added install targets for pr2_teleop
  * Contributors: TheDash
  * Added install targets for pr2_teleop
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 17 Sep 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.6-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Sep 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.5-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Sep 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.4-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Sep 2014 00:00:00 -0000

ros-melodic-pr2-teleop (0.5.3-0stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-pr2-teleop
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-pr2-controllers-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-pr2-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-geometry-msgs, ros-melodic-pr2-controllers-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-topic-tools
Description: The pr2_teleop package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-teleop//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
